Subject: bug#8970: 24.0.50.1; rcirc with TLS on Windows broken?

From: Deniz Dogan <[email-masked]>
Date: Fri, 01 Jul 2011 11:42:43 +0200

Lately I've been experiencing a lot of trouble when connecting to 
Freenode over TLS (irc.freenode.net:7000).  This is what I get after 
just a few minutes of connectivity:

11:38 *** *** error  A TLS packet with unexpected length was received.
11:38 *** *** has terminated the connection abnormally.
11:38 !!! irc.freenode.net: exited abnormally with code 1 (exit)

I'm using Sean Sieger's build:
GNU Emacs 24.0.50.1 (i386-mingw-nt6.1.7601) of 2011-06-20 on 3249CTO